// axios
import request2 from '@/utils/request2'
import request from '@/utils/request'

export function getChatListRequest(data){//获取聊天记录
	return request2({
		url: 'https://gpt4.cocorobo.cn/get_agent_park_chat',
    method: 'post',
    data,
    hideloading: true
	})
}

export function insertChatListRequest(data){//保存聊天记录
	return request2({
		url: 'https://gpt4.cocorobo.cn/insert_chat',
    method: 'post',
    data,
    hideloading: true
	})
}

export function aiChatRequest(data){//聊天请求
	return request2({
		url: 'https://gpt4.cocorobo.cn/chat',
    method: 'post',
    data,
    hideloading: true
	})
}

export function aiRoleChatRequest(data){//聊天请求
	return request2({
		url: 'https://gpt4.cocorobo.cn/ai_agent_park_chat_new',
    method: 'post',
    data,
    hideloading: true
	})
}

export function aiRoleChatRequest2(data){//聊天请求
	return request2({
		url: 'https://gpt4.cocorobo.cn/ai_agent_park_chat',
    method: 'post',
    data,
    hideloading: true
	})
}